For the complete documentation index, see llms.txt. This page is also available as Markdown.

Produktion

Streamline production processes in VARIO Cloud with API endpoints for producing, reverting, and managing fabrication orders and components.

Funktionen zur Verarbeitung von Produktionsbelegen

get
Path parameters
fabricationOrderIdinteger · int64Required

ID des Produktionsbelegs

lineIdinteger · int64Required

ID der zu produzierenden Position

Responses
200

OK

*/*

Details zur Stornierung einer Position

documentIdinteger · int64Optional

ID des Belegs

documentLineIdinteger · int64Optional

ID der Belegposition

producedQuantitynumberOptional

Noch zu produzierende Menge

get/erp/fabrication/{fabricationOrderId}/revert/{lineId}
GET /erp/fabrication/{fabricationOrderId}/revert/{lineId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "documentId": 1,
  "documentLineId": 1,
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "producedQuantity": 1,
  "producedSerialNumbers": [],
  "usedComponents": []
}
post
Path parameters
fabricationOrderIdinteger · int64Required

ID des Produktionsbelegs

lineIdinteger · int64Required

ID der zu stornierenden Position

Body

Details zur Stornierung der Produktion einer Position

documentLineIdinteger · int64Required

ID der zu stornierenden Position

quantitynumberRequired

Zu stornierende Menge

autoRevertComponentsbooleanOptional

Material automatisch stornieren

Default: true
Responses
200

OK

*/*

document to update

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstring · max: 255Required

Belegnummer

accountNumberstring · max: 255Read-onlyOptional

Kontonummer der zugehörigen Organisationseinheit

customerNumberstring · max: 255Read-onlyOptional

Kundennummer

ourCustomerNumberstring · max: 255Read-onlyOptional

Kundennummer beim Lieferanten

supplierNumberstring · max: 255Read-onlyOptional

Lieferantennummer

salesAgentNumberstring · max: 255Read-onlyOptional

Vertreternummer

externalIdentifierstring · max: 255Optional

Externe Kennung

externalNumberstring · max: 255Optional

Externe Belegnummer

publishedbooleanRead-onlyOptional

Ist der Beleg veröffentlicht (gedruckt, per Mail versendet)?

Default: false
frozenbooleanRead-onlyOptional

Ist der Beleg festgeschrieben?

Default: false
qualifierstring · enumRead-onlyOptional

Art des Belegs

Possible values:
accountIdstringRequired

ID der Organisationseinheit

documentDatestring · dateRequired

Belegdatum

performanceDatestring · dateOptional

Leistungsdatum

valueDatestring · dateOptional

Valutadatum

taxablebooleanOptional

Steuerpflichtig oder steuerfrei

Default: true
taxIdentificationNumberstring · max: 255Optional

Umsatzsteuer-Identifikationsnummer

taxIdVerificationStatestring · enumRead-onlyOptional

Überprüfungsstatus der Steueridentifikationsnummer

Possible values:
valitoolValidationStatestring · enumRead-onlyOptional

Validierungsstatus bei elektronischen Rechnungen

Possible values:
billingTypestring · enumRequired

Abrechnungstyp

Possible values:
documentTypestringRead-onlyOptional

Belegtyp (intern)

documentTypeIdinteger · int64Read-onlyOptional

ID des Belegtyps

documentTypeCategorystring · enumRead-onlyOptional

Dokumenttypen

Possible values:
currencyCodestringRequired

Währung (ISO-Code, Alpha-3)

exchangeRatenumberOptional

Wechselkurs

exchangeRateOriginstring · enumOptional

Ursprung für Währungskursermittlung

Default: AUTOMATICPossible values:
totalBeforeModifiernumberRead-onlyOptional

Gesamtpreis vor Rabatt [BRUTTO, NETTO]

totalPriceModifiernumberRead-onlyOptional

Rabatt gesamt [BRUTTO, NETTO]

totalLinePriceModifiernumberRead-onlyOptional

Positionsrabatt gesamt [BRUTTO, NETTO]

totalDocumentPriceModifiernumberRead-onlyOptional

Belegrabatt gesamt [BRUTTO, NETTO]

totalNetPricenumberRead-onlyOptional

Gesamtpreis netto

totalVatnumberRead-onlyOptional

Gesamte Mehrwertsteuer

totalGrossPricenumberRead-onlyOptional

Gesamtpreis brutto

roundingAmountnumberRead-onlyOptional

Endbetragsrundung: Differenz zwischen gerundetem Brutto und (Netto + MwSt)

depositPaymentAmountnumberOptional

Vereinbarter Anzahlungsbetrag

depositPaymentDatestring · dateRead-onlyOptional

Vereinbartes Anzahlungsdatum

deliveryDatestring · dateOptional

Voraussichtliches Lieferdatum

deliveryDateEndstring · dateOptional

Voraussichtliches Lieferende (nur wenn Lieferdatum gesetzt)

confirmedDeliveryDatestring · dateOptional

Bestätigtes Lieferdatum

confirmedDeliveryDateEndstring · dateOptional

Bestätigtes Lieferende (nur wenn bestätigtes Lieferdatum gesetzt)

shippingDatestring · dateOptional

Versanddatum

deliveryQuantityPackagesinteger · int32Optional

Voraussichtliche Paketanzahl (nur Info)

deliveryTextstring · max: 255Optional

Zusätzlicher Liefertext

deliveryApprovedbooleanRequired

Ist der Beleg zur Lieferung freigegeben?

Default: true
dropShippingInvoiceApprovedbooleanRead-onlyOptional

Ist der Streckengeschäfts-Beleg zur Rechnung freigegeben?

orderedOnstring · dateOptional

Bestelldatum

orderedBystring · max: 255Optional

Name der bestellenden Person

taxLiabilityReversedbooleanOptional

Reverse-Charge-Verfahren nach §13b UStG?

Default: false
collectiveInvoicebooleanOptional

Sammelrechnung?

Default: false
shippingCostSumnumberRead-onlyOptional

Summe der Versandkosten (netto/brutto)

stackProcessingTypestring · enumOptional

Stapelverarbeitungsinformationen für Aufträge

Possible values:
stackProcessingPriorityinteger · int32Optional

Priorität in der Stapelverarbeitung

maxDeliveriesinteger · int32Optional

Maximal mögliche Lieferungen

taxPerformanceLocationstring · enumOptional

Ort der steuerlichen Leistungserbringung

Possible values:
performanceCountryCodestringOptional

Länderkennzeichen Leistungsland (ISO Alpha-3)

sourceCountryCodestringOptional

Länderkennzeichen Ursprungsland (ISO Alpha-3)

grossWeightnumberOptional

Gesamtbruttogewicht

userDefinedWeightbooleanOptional

Gesamtgewicht wurde manuell gesetzt

Default: false
cashDiscountableTotalGrossPricenumberRead-onlyOptional

Skontofähiger Bruttogesamtbetrag

buyerReferencestring · max: 255Optional

Leitweg-ID

en16931Profilestring · enumOptional

EN16931-Profil für elektronische Rechnungen

Possible values:
importTypestring · enumRead-onlyOptional

Importmodus des Belegs

Possible values:
paymentPlanbooleanOptional

Zahlungsplan vorhanden?

Default: false
calculationModestring · enumRequired

Berechnungsmodus

Possible values:
processedByWorkflowbooleanRead-onlyOptional

Wird vom Workflow verarbeitet?

referencedOrderNumberstringRead-onlyOptional

Bestellnummer aus Vorbeleg

languageCodestringOptional

Sprache

baseCurrencyCodestringOptional

Basiswährung des Belegs

baseTotalNetPricenumberOptional

Gesamtpreis - Netto Basiswährung

baseTotalLinePriceModifiernumberOptional

Preisanpassungen - Belegpositionssumme Basiswährung

baseTotalDocumentPriceModifiernumberOptional

Preisanpassungen - Beleg Basiswährung

baseTotalGrossPricenumberOptional

Gesamtpreis - Brutto Basiswährung

baseDepositPaymentAmountnumberOptional

Vorkassebetrag Basiswährung

baseCashDiscountableTotalGrossPricenumberOptional

skontierbarer Rechnungsbetrag Basiswährung

forwardEmailToShipperbooleanOptional

E-Mail an Versender übergeben

Default: false
forwardPhoneToShipperbooleanOptional

Telefon an Versender übergeben

Default: false
posReceiptPaymentSumnumberOptional

Quittung: Summe Zahlbetrag

posReceiptBalancenumberOptional

Quittung: Saldo positiver Wert: Betrag der noch zu zahlen ist negativer Wert: überzahlter Betrag / Rückgeld

posReceiptChangeAmountnumberOptional

Rückgeld

posReceiptBalancedbooleanOptional

Ist die Quittung ausbalanciert, also bezahlt und kein Rückgeld true wenn die Quittung ausbalanciert ist

Default: false
posReceiptPayedbooleanOptional

Ist die Quittung bezahlt true wenn die Quittung bezahlt ist

Default: false
dropShippingbooleanRead-onlyOptional

Streckengeschäft

totalGrossVolumeInCubicMetersnumberRead-onlyOptional

total gross Volume in cubic meters

post/erp/fabrication/{fabricationOrderId}/revert/{lineId}
POST /erp/fabrication/{fabricationOrderId}/revert/{lineId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 104

{
  "documentLineId": 1,
  "quantity": 1,
  "autoRevertComponents": true,
  "serialNumbers": [],
  "componentsToRevert": []
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "number": "text",
  "accountNumber": "text",
  "customerNumber": "text",
  "ourCustomerNumber": "text",
  "supplierNumber": "text",
  "salesAgentNumber": "text",
  "externalIdentifier": "text",
  "externalNumber": "text",
  "published": false,
  "frozen": false,
  "qualifier": "SALE",
  "accountId": "text",
  "billingAccountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "documentDate": "2026-01-01",
  "performanceDate": "2026-01-01",
  "valueDate": "2026-01-01",
  "taxable": true,
  "taxIdentificationNumber": "text",
  "taxIdVerificationState": "NOT_YET_VERIFIED",
  "valitoolValidationState": "NOT_VALIDATED",
  "billingType": "GROSS",
  "documentType": "text",
  "documentTypeId": 1,
  "documentTypeCategory": "CUSTOMER_OFFER",
  "documentState": {
    "label": "text",
    "key": "text",
    "definition": "SELECTABLE_TYPES"
  },
  "cancellationReasonRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  },
  "currencyCode": "text",
  "exchangeRate": 1,
  "exchangeRateOrigin": "AUTOMATIC",
  "responsibleUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "totalBeforeModifier": 1,
  "totalPriceModifier": 1,
  "totalLinePriceModifier": 1,
  "totalDocumentPriceModifier": 1,
  "totalNetPrice": 1,
  "totalVat": 1,
  "totalGrossPrice": 1,
  "roundingAmount": 1,
  "paymentTermRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true,
    "paymentType": "PREPAYMENT"
  },
  "paymentMethodRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "depositPaymentAmount": 1,
  "depositPaymentDate": "2026-01-01",
  "deliveryTermRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "deliveryMethodRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "deliveryDate": "2026-01-01",
  "deliveryDateEnd": "2026-01-01",
  "confirmedDeliveryDate": "2026-01-01",
  "confirmedDeliveryDateEnd": "2026-01-01",
  "shippingDate": "2026-01-01",
  "deliveryQuantityPackages": 1,
  "deliveryText": "text",
  "deliveryApproved": true,
  "dropShippingInvoiceApproved": true,
  "orderedOn": "2026-01-01",
  "orderedByPersonRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "orderedBy": "text",
  "taxLiabilityReversed": false,
  "collectiveInvoice": false,
  "texts": [],
  "lines": [],
  "shippingCosts": [],
  "posPayments": [],
  "shippingCostSum": 1,
  "priceModifiers": [],
  "taxes": [],
  "defaultAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "billingAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "deliveryAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "returnDeliveryAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "stackProcessingType": "NO_PICKING",
  "stackProcessingPriority": 1,
  "maxDeliveries": 1,
  "taxPerformanceLocation": "DOMESTIC",
  "performanceCountryCode": "text",
  "sourceCountryCode": "text",
  "afterPickingTargetDocumentTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "grossWeight": 1,
  "grossWeightUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "userDefinedWeight": false,
  "tags": [],
  "reportGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "defaultStorageRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "locationRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "cashDiscountableTotalGrossPrice": 1,
  "contractDetail": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "startDate": "2026-01-01",
    "endDate": "2026-01-01",
    "runtimeFromDate": "2026-01-01",
    "runtimeToDate": "2026-01-01",
    "lastCustomerCancellationDate": "2026-01-01",
    "lastProviderCancellationDate": "2026-01-01",
    "dueDateCalculation": "text",
    "dueDate": "2026-01-01",
    "nextDueDate": "2026-01-01",
    "calculateDirectly": true,
    "active": true,
    "publishInPortal": false
  },
  "posDetail": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "posRegisterRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "cashDrawerRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "cashJournalRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "fiscalizationBackendRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "tssSignature": {
      "status": "FINISHED",
      "responseData": "text",
      "externalReference": "text",
      "revision": 1
    },
    "externalReference": "text",
    "timeStart": 1,
    "timeEnd": 1,
    "clientSerialNumber": "text",
    "tssSerialNumber": "text",
    "transactionNumber": 1,
    "revision": 1,
    "signatureCounter": 1,
    "signature": "text"
  },
  "fabricationDetail": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "startDate": "2026-01-01",
    "minimumDegreeOfFulfillment": 1,
    "note": "text",
    "componentsStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "workbenchStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "workbenchStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "qualityAssuranceStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "qualityAssuranceStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "defectiveStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "defectiveStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "targetStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "targetStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    }
  },
  "buyerReference": "text",
  "en16931Profile": "ZUGFERD",
  "importType": "NOT_IMPORTED",
  "paymentPlan": false,
  "calculationMode": "HORIZONTAL",
  "processedByWorkflow": true,
  "referencedOrderNumber": "text",
  "additionalInfo": {
    "calculationModeOrigin": "FROM_BILLING_ADDRESS",
    "roundingMode": "NONE",
    "en16931Origin": "FROM_BILLING_ADDRESS",
    "buyerReferenceOrigin": "FROM_BILLING_ADDRESS",
    "previousDecisions": "text",
    "taxSituationOrigin": "UNDEFINED",
    "languageCodeOrigin": "FROM_DELIVERY_ADDRESS",
    "contextParameters": [],
    "incomingGoodsTarget": {
      "storageBinId": 1,
      "pickTrolleyId": 1
    },
    "translations": [],
    "incomingGoodsTargetsPerLine": []
  },
  "languageCode": "text",
  "baseCurrencyCode": "text",
  "baseTotalNetPrice": 1,
  "baseTotalLinePriceModifier": 1,
  "baseTotalDocumentPriceModifier": 1,
  "baseTotalGrossPrice": 1,
  "baseDepositPaymentAmount": 1,
  "baseCashDiscountableTotalGrossPrice": 1,
  "forwardEmailToShipper": false,
  "forwardPhoneToShipper": false,
  "posReceiptPaymentSum": 1,
  "posReceiptBalance": 1,
  "posReceiptChangeAmount": 1,
  "posReceiptBalanced": false,
  "posReceiptPayed": false,
  "dropShipping": true,
  "totalGrossVolumeInCubicMeters": 1
}
get
Path parameters
fabricationOrderIdinteger · int64Required

ID des Produktionsbelegs

Responses
200

OK

*/*

Details zur Stornierung einer Position

documentIdinteger · int64Optional

ID des Belegs

documentLineIdinteger · int64Optional

ID der Belegposition

producedQuantitynumberOptional

Noch zu produzierende Menge

get/erp/fabrication/{fabricationOrderId}/revert-all
GET /erp/fabrication/{fabricationOrderId}/revert-all HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
post
Path parameters
fabricationOrderIdinteger · int64Required

ID des Produktionsbelegs

Bodyobject · erp-fabrication-FabricationRevertRequest[]

Details zur Stornierung der Produktion einer Position

documentLineIdinteger · int64Required

ID der zu stornierenden Position

quantitynumberRequired

Zu stornierende Menge

autoRevertComponentsbooleanOptional

Material automatisch stornieren

Default: true
Responses
200

OK

*/*

document to update

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstring · max: 255Required

Belegnummer

accountNumberstring · max: 255Read-onlyOptional

Kontonummer der zugehörigen Organisationseinheit

customerNumberstring · max: 255Read-onlyOptional

Kundennummer

ourCustomerNumberstring · max: 255Read-onlyOptional

Kundennummer beim Lieferanten

supplierNumberstring · max: 255Read-onlyOptional

Lieferantennummer

salesAgentNumberstring · max: 255Read-onlyOptional

Vertreternummer

externalIdentifierstring · max: 255Optional

Externe Kennung

externalNumberstring · max: 255Optional

Externe Belegnummer

publishedbooleanRead-onlyOptional

Ist der Beleg veröffentlicht (gedruckt, per Mail versendet)?

Default: false
frozenbooleanRead-onlyOptional

Ist der Beleg festgeschrieben?

Default: false
qualifierstring · enumRead-onlyOptional

Art des Belegs

Possible values:
accountIdstringRequired

ID der Organisationseinheit

documentDatestring · dateRequired

Belegdatum

performanceDatestring · dateOptional

Leistungsdatum

valueDatestring · dateOptional

Valutadatum

taxablebooleanOptional

Steuerpflichtig oder steuerfrei

Default: true
taxIdentificationNumberstring · max: 255Optional

Umsatzsteuer-Identifikationsnummer

taxIdVerificationStatestring · enumRead-onlyOptional

Überprüfungsstatus der Steueridentifikationsnummer

Possible values:
valitoolValidationStatestring · enumRead-onlyOptional

Validierungsstatus bei elektronischen Rechnungen

Possible values:
billingTypestring · enumRequired

Abrechnungstyp

Possible values:
documentTypestringRead-onlyOptional

Belegtyp (intern)

documentTypeIdinteger · int64Read-onlyOptional

ID des Belegtyps

documentTypeCategorystring · enumRead-onlyOptional

Dokumenttypen

Possible values:
currencyCodestringRequired

Währung (ISO-Code, Alpha-3)

exchangeRatenumberOptional

Wechselkurs

exchangeRateOriginstring · enumOptional

Ursprung für Währungskursermittlung

Default: AUTOMATICPossible values:
totalBeforeModifiernumberRead-onlyOptional

Gesamtpreis vor Rabatt [BRUTTO, NETTO]

totalPriceModifiernumberRead-onlyOptional

Rabatt gesamt [BRUTTO, NETTO]

totalLinePriceModifiernumberRead-onlyOptional

Positionsrabatt gesamt [BRUTTO, NETTO]

totalDocumentPriceModifiernumberRead-onlyOptional

Belegrabatt gesamt [BRUTTO, NETTO]

totalNetPricenumberRead-onlyOptional

Gesamtpreis netto

totalVatnumberRead-onlyOptional

Gesamte Mehrwertsteuer

totalGrossPricenumberRead-onlyOptional

Gesamtpreis brutto

roundingAmountnumberRead-onlyOptional

Endbetragsrundung: Differenz zwischen gerundetem Brutto und (Netto + MwSt)

depositPaymentAmountnumberOptional

Vereinbarter Anzahlungsbetrag

depositPaymentDatestring · dateRead-onlyOptional

Vereinbartes Anzahlungsdatum

deliveryDatestring · dateOptional

Voraussichtliches Lieferdatum

deliveryDateEndstring · dateOptional

Voraussichtliches Lieferende (nur wenn Lieferdatum gesetzt)

confirmedDeliveryDatestring · dateOptional

Bestätigtes Lieferdatum

confirmedDeliveryDateEndstring · dateOptional

Bestätigtes Lieferende (nur wenn bestätigtes Lieferdatum gesetzt)

shippingDatestring · dateOptional

Versanddatum

deliveryQuantityPackagesinteger · int32Optional

Voraussichtliche Paketanzahl (nur Info)

deliveryTextstring · max: 255Optional

Zusätzlicher Liefertext

deliveryApprovedbooleanRequired

Ist der Beleg zur Lieferung freigegeben?

Default: true
dropShippingInvoiceApprovedbooleanRead-onlyOptional

Ist der Streckengeschäfts-Beleg zur Rechnung freigegeben?

orderedOnstring · dateOptional

Bestelldatum

orderedBystring · max: 255Optional

Name der bestellenden Person

taxLiabilityReversedbooleanOptional

Reverse-Charge-Verfahren nach §13b UStG?

Default: false
collectiveInvoicebooleanOptional

Sammelrechnung?

Default: false
shippingCostSumnumberRead-onlyOptional

Summe der Versandkosten (netto/brutto)

stackProcessingTypestring · enumOptional

Stapelverarbeitungsinformationen für Aufträge

Possible values:
stackProcessingPriorityinteger · int32Optional

Priorität in der Stapelverarbeitung

maxDeliveriesinteger · int32Optional

Maximal mögliche Lieferungen

taxPerformanceLocationstring · enumOptional

Ort der steuerlichen Leistungserbringung

Possible values:
performanceCountryCodestringOptional

Länderkennzeichen Leistungsland (ISO Alpha-3)

sourceCountryCodestringOptional

Länderkennzeichen Ursprungsland (ISO Alpha-3)

grossWeightnumberOptional

Gesamtbruttogewicht

userDefinedWeightbooleanOptional

Gesamtgewicht wurde manuell gesetzt

Default: false
cashDiscountableTotalGrossPricenumberRead-onlyOptional

Skontofähiger Bruttogesamtbetrag

buyerReferencestring · max: 255Optional

Leitweg-ID

en16931Profilestring · enumOptional

EN16931-Profil für elektronische Rechnungen

Possible values:
importTypestring · enumRead-onlyOptional

Importmodus des Belegs

Possible values:
paymentPlanbooleanOptional

Zahlungsplan vorhanden?

Default: false
calculationModestring · enumRequired

Berechnungsmodus

Possible values:
processedByWorkflowbooleanRead-onlyOptional

Wird vom Workflow verarbeitet?

referencedOrderNumberstringRead-onlyOptional

Bestellnummer aus Vorbeleg

languageCodestringOptional

Sprache

baseCurrencyCodestringOptional

Basiswährung des Belegs

baseTotalNetPricenumberOptional

Gesamtpreis - Netto Basiswährung

baseTotalLinePriceModifiernumberOptional

Preisanpassungen - Belegpositionssumme Basiswährung

baseTotalDocumentPriceModifiernumberOptional

Preisanpassungen - Beleg Basiswährung

baseTotalGrossPricenumberOptional

Gesamtpreis - Brutto Basiswährung

baseDepositPaymentAmountnumberOptional

Vorkassebetrag Basiswährung

baseCashDiscountableTotalGrossPricenumberOptional

skontierbarer Rechnungsbetrag Basiswährung

forwardEmailToShipperbooleanOptional

E-Mail an Versender übergeben

Default: false
forwardPhoneToShipperbooleanOptional

Telefon an Versender übergeben

Default: false
posReceiptPaymentSumnumberOptional

Quittung: Summe Zahlbetrag

posReceiptBalancenumberOptional

Quittung: Saldo positiver Wert: Betrag der noch zu zahlen ist negativer Wert: überzahlter Betrag / Rückgeld

posReceiptChangeAmountnumberOptional

Rückgeld

posReceiptBalancedbooleanOptional

Ist die Quittung ausbalanciert, also bezahlt und kein Rückgeld true wenn die Quittung ausbalanciert ist

Default: false
posReceiptPayedbooleanOptional

Ist die Quittung bezahlt true wenn die Quittung bezahlt ist

Default: false
dropShippingbooleanRead-onlyOptional

Streckengeschäft

totalGrossVolumeInCubicMetersnumberRead-onlyOptional

total gross Volume in cubic meters

post/erp/fabrication/{fabricationOrderId}/revert-all
POST /erp/fabrication/{fabricationOrderId}/revert-all HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 2

[]
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "number": "text",
  "accountNumber": "text",
  "customerNumber": "text",
  "ourCustomerNumber": "text",
  "supplierNumber": "text",
  "salesAgentNumber": "text",
  "externalIdentifier": "text",
  "externalNumber": "text",
  "published": false,
  "frozen": false,
  "qualifier": "SALE",
  "accountId": "text",
  "billingAccountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "documentDate": "2026-01-01",
  "performanceDate": "2026-01-01",
  "valueDate": "2026-01-01",
  "taxable": true,
  "taxIdentificationNumber": "text",
  "taxIdVerificationState": "NOT_YET_VERIFIED",
  "valitoolValidationState": "NOT_VALIDATED",
  "billingType": "GROSS",
  "documentType": "text",
  "documentTypeId": 1,
  "documentTypeCategory": "CUSTOMER_OFFER",
  "documentState": {
    "label": "text",
    "key": "text",
    "definition": "SELECTABLE_TYPES"
  },
  "cancellationReasonRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  },
  "currencyCode": "text",
  "exchangeRate": 1,
  "exchangeRateOrigin": "AUTOMATIC",
  "responsibleUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "totalBeforeModifier": 1,
  "totalPriceModifier": 1,
  "totalLinePriceModifier": 1,
  "totalDocumentPriceModifier": 1,
  "totalNetPrice": 1,
  "totalVat": 1,
  "totalGrossPrice": 1,
  "roundingAmount": 1,
  "paymentTermRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true,
    "paymentType": "PREPAYMENT"
  },
  "paymentMethodRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "depositPaymentAmount": 1,
  "depositPaymentDate": "2026-01-01",
  "deliveryTermRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "deliveryMethodRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "deliveryDate": "2026-01-01",
  "deliveryDateEnd": "2026-01-01",
  "confirmedDeliveryDate": "2026-01-01",
  "confirmedDeliveryDateEnd": "2026-01-01",
  "shippingDate": "2026-01-01",
  "deliveryQuantityPackages": 1,
  "deliveryText": "text",
  "deliveryApproved": true,
  "dropShippingInvoiceApproved": true,
  "orderedOn": "2026-01-01",
  "orderedByPersonRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "orderedBy": "text",
  "taxLiabilityReversed": false,
  "collectiveInvoice": false,
  "texts": [],
  "lines": [],
  "shippingCosts": [],
  "posPayments": [],
  "shippingCostSum": 1,
  "priceModifiers": [],
  "taxes": [],
  "defaultAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "billingAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "deliveryAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "returnDeliveryAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "stackProcessingType": "NO_PICKING",
  "stackProcessingPriority": 1,
  "maxDeliveries": 1,
  "taxPerformanceLocation": "DOMESTIC",
  "performanceCountryCode": "text",
  "sourceCountryCode": "text",
  "afterPickingTargetDocumentTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "grossWeight": 1,
  "grossWeightUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "userDefinedWeight": false,
  "tags": [],
  "reportGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "defaultStorageRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "locationRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "cashDiscountableTotalGrossPrice": 1,
  "contractDetail": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "startDate": "2026-01-01",
    "endDate": "2026-01-01",
    "runtimeFromDate": "2026-01-01",
    "runtimeToDate": "2026-01-01",
    "lastCustomerCancellationDate": "2026-01-01",
    "lastProviderCancellationDate": "2026-01-01",
    "dueDateCalculation": "text",
    "dueDate": "2026-01-01",
    "nextDueDate": "2026-01-01",
    "calculateDirectly": true,
    "active": true,
    "publishInPortal": false
  },
  "posDetail": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "posRegisterRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "cashDrawerRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "cashJournalRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "fiscalizationBackendRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "tssSignature": {
      "status": "FINISHED",
      "responseData": "text",
      "externalReference": "text",
      "revision": 1
    },
    "externalReference": "text",
    "timeStart": 1,
    "timeEnd": 1,
    "clientSerialNumber": "text",
    "tssSerialNumber": "text",
    "transactionNumber": 1,
    "revision": 1,
    "signatureCounter": 1,
    "signature": "text"
  },
  "fabricationDetail": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "startDate": "2026-01-01",
    "minimumDegreeOfFulfillment": 1,
    "note": "text",
    "componentsStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "workbenchStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "workbenchStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "qualityAssuranceStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "qualityAssuranceStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "defectiveStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "defectiveStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "targetStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "targetStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    }
  },
  "buyerReference": "text",
  "en16931Profile": "ZUGFERD",
  "importType": "NOT_IMPORTED",
  "paymentPlan": false,
  "calculationMode": "HORIZONTAL",
  "processedByWorkflow": true,
  "referencedOrderNumber": "text",
  "additionalInfo": {
    "calculationModeOrigin": "FROM_BILLING_ADDRESS",
    "roundingMode": "NONE",
    "en16931Origin": "FROM_BILLING_ADDRESS",
    "buyerReferenceOrigin": "FROM_BILLING_ADDRESS",
    "previousDecisions": "text",
    "taxSituationOrigin": "UNDEFINED",
    "languageCodeOrigin": "FROM_DELIVERY_ADDRESS",
    "contextParameters": [],
    "incomingGoodsTarget": {
      "storageBinId": 1,
      "pickTrolleyId": 1
    },
    "translations": [],
    "incomingGoodsTargetsPerLine": []
  },
  "languageCode": "text",
  "baseCurrencyCode": "text",
  "baseTotalNetPrice": 1,
  "baseTotalLinePriceModifier": 1,
  "baseTotalDocumentPriceModifier": 1,
  "baseTotalGrossPrice": 1,
  "baseDepositPaymentAmount": 1,
  "baseCashDiscountableTotalGrossPrice": 1,
  "forwardEmailToShipper": false,
  "forwardPhoneToShipper": false,
  "posReceiptPaymentSum": 1,
  "posReceiptBalance": 1,
  "posReceiptChangeAmount": 1,
  "posReceiptBalanced": false,
  "posReceiptPayed": false,
  "dropShipping": true,
  "totalGrossVolumeInCubicMeters": 1
}
get
Path parameters
fabricationOrderIdinteger · int64Required

ID des Produktionsbelegs

lineIdinteger · int64Required

ID der zu produzierenden Position

Responses
200

OK

*/*

Details zur Produktion einer Position

documentIdinteger · int64Optional

ID des Belegs

documentLineIdinteger · int64Optional

ID der Belegposition

serialTypestring · enumOptional

Serientyp eines Artikels

Possible values:
serialNumbersRequiredbooleanOptional

Müssen noch Seriennummern erfasst werden?

Default: false
remainingQuantitynumberOptional

Noch zu produzierende Menge

get/erp/fabrication/{fabricationOrderId}/produce/{lineId}
GET /erp/fabrication/{fabricationOrderId}/produce/{lineId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "documentId": 1,
  "documentLineId": 1,
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "serialType": "NONE",
  "serialNumbersToProduce": [],
  "serialNumbersRequired": false,
  "remainingQuantity": 1,
  "remainingComponents": []
}
post
Path parameters
fabricationOrderIdinteger · int64Required

ID des Produktionsbelegs

lineIdinteger · int64Required

ID der zu produzierenden Position

Body

Details zur Produktion einer Position

documentLineIdinteger · int64Required

ID der zu produzierenden Position

quantitynumberRequired

Zu produzierende Menge

autoCommitComponentsbooleanOptional

Material automatisch bestätigen

Default: true
Responses
200

OK

*/*

document to update

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstring · max: 255Required

Belegnummer

accountNumberstring · max: 255Read-onlyOptional

Kontonummer der zugehörigen Organisationseinheit

customerNumberstring · max: 255Read-onlyOptional

Kundennummer

ourCustomerNumberstring · max: 255Read-onlyOptional

Kundennummer beim Lieferanten

supplierNumberstring · max: 255Read-onlyOptional

Lieferantennummer

salesAgentNumberstring · max: 255Read-onlyOptional

Vertreternummer

externalIdentifierstring · max: 255Optional

Externe Kennung

externalNumberstring · max: 255Optional

Externe Belegnummer

publishedbooleanRead-onlyOptional

Ist der Beleg veröffentlicht (gedruckt, per Mail versendet)?

Default: false
frozenbooleanRead-onlyOptional

Ist der Beleg festgeschrieben?

Default: false
qualifierstring · enumRead-onlyOptional

Art des Belegs

Possible values:
accountIdstringRequired

ID der Organisationseinheit

documentDatestring · dateRequired

Belegdatum

performanceDatestring · dateOptional

Leistungsdatum

valueDatestring · dateOptional

Valutadatum

taxablebooleanOptional

Steuerpflichtig oder steuerfrei

Default: true
taxIdentificationNumberstring · max: 255Optional

Umsatzsteuer-Identifikationsnummer

taxIdVerificationStatestring · enumRead-onlyOptional

Überprüfungsstatus der Steueridentifikationsnummer

Possible values:
valitoolValidationStatestring · enumRead-onlyOptional

Validierungsstatus bei elektronischen Rechnungen

Possible values:
billingTypestring · enumRequired

Abrechnungstyp

Possible values:
documentTypestringRead-onlyOptional

Belegtyp (intern)

documentTypeIdinteger · int64Read-onlyOptional

ID des Belegtyps

documentTypeCategorystring · enumRead-onlyOptional

Dokumenttypen

Possible values:
currencyCodestringRequired

Währung (ISO-Code, Alpha-3)

exchangeRatenumberOptional

Wechselkurs

exchangeRateOriginstring · enumOptional

Ursprung für Währungskursermittlung

Default: AUTOMATICPossible values:
totalBeforeModifiernumberRead-onlyOptional

Gesamtpreis vor Rabatt [BRUTTO, NETTO]

totalPriceModifiernumberRead-onlyOptional

Rabatt gesamt [BRUTTO, NETTO]

totalLinePriceModifiernumberRead-onlyOptional

Positionsrabatt gesamt [BRUTTO, NETTO]

totalDocumentPriceModifiernumberRead-onlyOptional

Belegrabatt gesamt [BRUTTO, NETTO]

totalNetPricenumberRead-onlyOptional

Gesamtpreis netto

totalVatnumberRead-onlyOptional

Gesamte Mehrwertsteuer

totalGrossPricenumberRead-onlyOptional

Gesamtpreis brutto

roundingAmountnumberRead-onlyOptional

Endbetragsrundung: Differenz zwischen gerundetem Brutto und (Netto + MwSt)

depositPaymentAmountnumberOptional

Vereinbarter Anzahlungsbetrag

depositPaymentDatestring · dateRead-onlyOptional

Vereinbartes Anzahlungsdatum

deliveryDatestring · dateOptional

Voraussichtliches Lieferdatum

deliveryDateEndstring · dateOptional

Voraussichtliches Lieferende (nur wenn Lieferdatum gesetzt)

confirmedDeliveryDatestring · dateOptional

Bestätigtes Lieferdatum

confirmedDeliveryDateEndstring · dateOptional

Bestätigtes Lieferende (nur wenn bestätigtes Lieferdatum gesetzt)

shippingDatestring · dateOptional

Versanddatum

deliveryQuantityPackagesinteger · int32Optional

Voraussichtliche Paketanzahl (nur Info)

deliveryTextstring · max: 255Optional

Zusätzlicher Liefertext

deliveryApprovedbooleanRequired

Ist der Beleg zur Lieferung freigegeben?

Default: true
dropShippingInvoiceApprovedbooleanRead-onlyOptional

Ist der Streckengeschäfts-Beleg zur Rechnung freigegeben?

orderedOnstring · dateOptional

Bestelldatum

orderedBystring · max: 255Optional

Name der bestellenden Person

taxLiabilityReversedbooleanOptional

Reverse-Charge-Verfahren nach §13b UStG?

Default: false
collectiveInvoicebooleanOptional

Sammelrechnung?

Default: false
shippingCostSumnumberRead-onlyOptional

Summe der Versandkosten (netto/brutto)

stackProcessingTypestring · enumOptional

Stapelverarbeitungsinformationen für Aufträge

Possible values:
stackProcessingPriorityinteger · int32Optional

Priorität in der Stapelverarbeitung

maxDeliveriesinteger · int32Optional

Maximal mögliche Lieferungen

taxPerformanceLocationstring · enumOptional

Ort der steuerlichen Leistungserbringung

Possible values:
performanceCountryCodestringOptional

Länderkennzeichen Leistungsland (ISO Alpha-3)

sourceCountryCodestringOptional

Länderkennzeichen Ursprungsland (ISO Alpha-3)

grossWeightnumberOptional

Gesamtbruttogewicht

userDefinedWeightbooleanOptional

Gesamtgewicht wurde manuell gesetzt

Default: false
cashDiscountableTotalGrossPricenumberRead-onlyOptional

Skontofähiger Bruttogesamtbetrag

buyerReferencestring · max: 255Optional

Leitweg-ID

en16931Profilestring · enumOptional

EN16931-Profil für elektronische Rechnungen

Possible values:
importTypestring · enumRead-onlyOptional

Importmodus des Belegs

Possible values:
paymentPlanbooleanOptional

Zahlungsplan vorhanden?

Default: false
calculationModestring · enumRequired

Berechnungsmodus

Possible values:
processedByWorkflowbooleanRead-onlyOptional

Wird vom Workflow verarbeitet?

referencedOrderNumberstringRead-onlyOptional

Bestellnummer aus Vorbeleg

languageCodestringOptional

Sprache

baseCurrencyCodestringOptional

Basiswährung des Belegs

baseTotalNetPricenumberOptional

Gesamtpreis - Netto Basiswährung

baseTotalLinePriceModifiernumberOptional

Preisanpassungen - Belegpositionssumme Basiswährung

baseTotalDocumentPriceModifiernumberOptional

Preisanpassungen - Beleg Basiswährung

baseTotalGrossPricenumberOptional

Gesamtpreis - Brutto Basiswährung

baseDepositPaymentAmountnumberOptional

Vorkassebetrag Basiswährung

baseCashDiscountableTotalGrossPricenumberOptional

skontierbarer Rechnungsbetrag Basiswährung

forwardEmailToShipperbooleanOptional

E-Mail an Versender übergeben

Default: false
forwardPhoneToShipperbooleanOptional

Telefon an Versender übergeben

Default: false
posReceiptPaymentSumnumberOptional

Quittung: Summe Zahlbetrag

posReceiptBalancenumberOptional

Quittung: Saldo positiver Wert: Betrag der noch zu zahlen ist negativer Wert: überzahlter Betrag / Rückgeld

posReceiptChangeAmountnumberOptional

Rückgeld

posReceiptBalancedbooleanOptional

Ist die Quittung ausbalanciert, also bezahlt und kein Rückgeld true wenn die Quittung ausbalanciert ist

Default: false
posReceiptPayedbooleanOptional

Ist die Quittung bezahlt true wenn die Quittung bezahlt ist

Default: false
dropShippingbooleanRead-onlyOptional

Streckengeschäft

totalGrossVolumeInCubicMetersnumberRead-onlyOptional

total gross Volume in cubic meters

post/erp/fabrication/{fabricationOrderId}/produce/{lineId}
POST /erp/fabrication/{fabricationOrderId}/produce/{lineId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 109

{
  "documentLineId": 1,
  "quantity": 1,
  "autoCommitComponents": true,
  "serialNumbers": [],
  "componentsForProduction": []
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "number": "text",
  "accountNumber": "text",
  "customerNumber": "text",
  "ourCustomerNumber": "text",
  "supplierNumber": "text",
  "salesAgentNumber": "text",
  "externalIdentifier": "text",
  "externalNumber": "text",
  "published": false,
  "frozen": false,
  "qualifier": "SALE",
  "accountId": "text",
  "billingAccountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "documentDate": "2026-01-01",
  "performanceDate": "2026-01-01",
  "valueDate": "2026-01-01",
  "taxable": true,
  "taxIdentificationNumber": "text",
  "taxIdVerificationState": "NOT_YET_VERIFIED",
  "valitoolValidationState": "NOT_VALIDATED",
  "billingType": "GROSS",
  "documentType": "text",
  "documentTypeId": 1,
  "documentTypeCategory": "CUSTOMER_OFFER",
  "documentState": {
    "label": "text",
    "key": "text",
    "definition": "SELECTABLE_TYPES"
  },
  "cancellationReasonRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  },
  "currencyCode": "text",
  "exchangeRate": 1,
  "exchangeRateOrigin": "AUTOMATIC",
  "responsibleUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "totalBeforeModifier": 1,
  "totalPriceModifier": 1,
  "totalLinePriceModifier": 1,
  "totalDocumentPriceModifier": 1,
  "totalNetPrice": 1,
  "totalVat": 1,
  "totalGrossPrice": 1,
  "roundingAmount": 1,
  "paymentTermRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true,
    "paymentType": "PREPAYMENT"
  },
  "paymentMethodRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "depositPaymentAmount": 1,
  "depositPaymentDate": "2026-01-01",
  "deliveryTermRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "deliveryMethodRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "deliveryDate": "2026-01-01",
  "deliveryDateEnd": "2026-01-01",
  "confirmedDeliveryDate": "2026-01-01",
  "confirmedDeliveryDateEnd": "2026-01-01",
  "shippingDate": "2026-01-01",
  "deliveryQuantityPackages": 1,
  "deliveryText": "text",
  "deliveryApproved": true,
  "dropShippingInvoiceApproved": true,
  "orderedOn": "2026-01-01",
  "orderedByPersonRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "orderedBy": "text",
  "taxLiabilityReversed": false,
  "collectiveInvoice": false,
  "texts": [],
  "lines": [],
  "shippingCosts": [],
  "posPayments": [],
  "shippingCostSum": 1,
  "priceModifiers": [],
  "taxes": [],
  "defaultAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "billingAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "deliveryAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "returnDeliveryAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "stackProcessingType": "NO_PICKING",
  "stackProcessingPriority": 1,
  "maxDeliveries": 1,
  "taxPerformanceLocation": "DOMESTIC",
  "performanceCountryCode": "text",
  "sourceCountryCode": "text",
  "afterPickingTargetDocumentTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "grossWeight": 1,
  "grossWeightUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "userDefinedWeight": false,
  "tags": [],
  "reportGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "defaultStorageRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "locationRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "cashDiscountableTotalGrossPrice": 1,
  "contractDetail": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "startDate": "2026-01-01",
    "endDate": "2026-01-01",
    "runtimeFromDate": "2026-01-01",
    "runtimeToDate": "2026-01-01",
    "lastCustomerCancellationDate": "2026-01-01",
    "lastProviderCancellationDate": "2026-01-01",
    "dueDateCalculation": "text",
    "dueDate": "2026-01-01",
    "nextDueDate": "2026-01-01",
    "calculateDirectly": true,
    "active": true,
    "publishInPortal": false
  },
  "posDetail": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "posRegisterRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "cashDrawerRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "cashJournalRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "fiscalizationBackendRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "tssSignature": {
      "status": "FINISHED",
      "responseData": "text",
      "externalReference": "text",
      "revision": 1
    },
    "externalReference": "text",
    "timeStart": 1,
    "timeEnd": 1,
    "clientSerialNumber": "text",
    "tssSerialNumber": "text",
    "transactionNumber": 1,
    "revision": 1,
    "signatureCounter": 1,
    "signature": "text"
  },
  "fabricationDetail": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "startDate": "2026-01-01",
    "minimumDegreeOfFulfillment": 1,
    "note": "text",
    "componentsStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "workbenchStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "workbenchStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "qualityAssuranceStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "qualityAssuranceStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "defectiveStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "defectiveStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "targetStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "targetStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    }
  },
  "buyerReference": "text",
  "en16931Profile": "ZUGFERD",
  "importType": "NOT_IMPORTED",
  "paymentPlan": false,
  "calculationMode": "HORIZONTAL",
  "processedByWorkflow": true,
  "referencedOrderNumber": "text",
  "additionalInfo": {
    "calculationModeOrigin": "FROM_BILLING_ADDRESS",
    "roundingMode": "NONE",
    "en16931Origin": "FROM_BILLING_ADDRESS",
    "buyerReferenceOrigin": "FROM_BILLING_ADDRESS",
    "previousDecisions": "text",
    "taxSituationOrigin": "UNDEFINED",
    "languageCodeOrigin": "FROM_DELIVERY_ADDRESS",
    "contextParameters": [],
    "incomingGoodsTarget": {
      "storageBinId": 1,
      "pickTrolleyId": 1
    },
    "translations": [],
    "incomingGoodsTargetsPerLine": []
  },
  "languageCode": "text",
  "baseCurrencyCode": "text",
  "baseTotalNetPrice": 1,
  "baseTotalLinePriceModifier": 1,
  "baseTotalDocumentPriceModifier": 1,
  "baseTotalGrossPrice": 1,
  "baseDepositPaymentAmount": 1,
  "baseCashDiscountableTotalGrossPrice": 1,
  "forwardEmailToShipper": false,
  "forwardPhoneToShipper": false,
  "posReceiptPaymentSum": 1,
  "posReceiptBalance": 1,
  "posReceiptChangeAmount": 1,
  "posReceiptBalanced": false,
  "posReceiptPayed": false,
  "dropShipping": true,
  "totalGrossVolumeInCubicMeters": 1
}
get
Path parameters
fabricationOrderIdinteger · int64Required

ID des Produktionsbelegs

Responses
200

OK

*/*

Details zur Produktion einer Position

documentIdinteger · int64Optional

ID des Belegs

documentLineIdinteger · int64Optional

ID der Belegposition

serialTypestring · enumOptional

Serientyp eines Artikels

Possible values:
serialNumbersRequiredbooleanOptional

Müssen noch Seriennummern erfasst werden?

Default: false
remainingQuantitynumberOptional

Noch zu produzierende Menge

get/erp/fabrication/{fabricationOrderId}/produce-all
GET /erp/fabrication/{fabricationOrderId}/produce-all HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
post
Path parameters
fabricationOrderIdinteger · int64Required

ID des Produktionsbelegs

Bodyobject · erp-fabrication-FabricationProduceRequest[]

Details zur Produktion einer Position

documentLineIdinteger · int64Required

ID der zu produzierenden Position

quantitynumberRequired

Zu produzierende Menge

autoCommitComponentsbooleanOptional

Material automatisch bestätigen

Default: true
Responses
200

OK

*/*

document to update

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstring · max: 255Required

Belegnummer

accountNumberstring · max: 255Read-onlyOptional

Kontonummer der zugehörigen Organisationseinheit

customerNumberstring · max: 255Read-onlyOptional

Kundennummer

ourCustomerNumberstring · max: 255Read-onlyOptional

Kundennummer beim Lieferanten

supplierNumberstring · max: 255Read-onlyOptional

Lieferantennummer

salesAgentNumberstring · max: 255Read-onlyOptional

Vertreternummer

externalIdentifierstring · max: 255Optional

Externe Kennung

externalNumberstring · max: 255Optional

Externe Belegnummer

publishedbooleanRead-onlyOptional

Ist der Beleg veröffentlicht (gedruckt, per Mail versendet)?

Default: false
frozenbooleanRead-onlyOptional

Ist der Beleg festgeschrieben?

Default: false
qualifierstring · enumRead-onlyOptional

Art des Belegs

Possible values:
accountIdstringRequired

ID der Organisationseinheit

documentDatestring · dateRequired

Belegdatum

performanceDatestring · dateOptional

Leistungsdatum

valueDatestring · dateOptional

Valutadatum

taxablebooleanOptional

Steuerpflichtig oder steuerfrei

Default: true
taxIdentificationNumberstring · max: 255Optional

Umsatzsteuer-Identifikationsnummer

taxIdVerificationStatestring · enumRead-onlyOptional

Überprüfungsstatus der Steueridentifikationsnummer

Possible values:
valitoolValidationStatestring · enumRead-onlyOptional

Validierungsstatus bei elektronischen Rechnungen

Possible values:
billingTypestring · enumRequired

Abrechnungstyp

Possible values:
documentTypestringRead-onlyOptional

Belegtyp (intern)

documentTypeIdinteger · int64Read-onlyOptional

ID des Belegtyps

documentTypeCategorystring · enumRead-onlyOptional

Dokumenttypen

Possible values:
currencyCodestringRequired

Währung (ISO-Code, Alpha-3)

exchangeRatenumberOptional

Wechselkurs

exchangeRateOriginstring · enumOptional

Ursprung für Währungskursermittlung

Default: AUTOMATICPossible values:
totalBeforeModifiernumberRead-onlyOptional

Gesamtpreis vor Rabatt [BRUTTO, NETTO]

totalPriceModifiernumberRead-onlyOptional

Rabatt gesamt [BRUTTO, NETTO]

totalLinePriceModifiernumberRead-onlyOptional

Positionsrabatt gesamt [BRUTTO, NETTO]

totalDocumentPriceModifiernumberRead-onlyOptional

Belegrabatt gesamt [BRUTTO, NETTO]

totalNetPricenumberRead-onlyOptional

Gesamtpreis netto

totalVatnumberRead-onlyOptional

Gesamte Mehrwertsteuer

totalGrossPricenumberRead-onlyOptional

Gesamtpreis brutto

roundingAmountnumberRead-onlyOptional

Endbetragsrundung: Differenz zwischen gerundetem Brutto und (Netto + MwSt)

depositPaymentAmountnumberOptional

Vereinbarter Anzahlungsbetrag

depositPaymentDatestring · dateRead-onlyOptional

Vereinbartes Anzahlungsdatum

deliveryDatestring · dateOptional

Voraussichtliches Lieferdatum

deliveryDateEndstring · dateOptional

Voraussichtliches Lieferende (nur wenn Lieferdatum gesetzt)

confirmedDeliveryDatestring · dateOptional

Bestätigtes Lieferdatum

confirmedDeliveryDateEndstring · dateOptional

Bestätigtes Lieferende (nur wenn bestätigtes Lieferdatum gesetzt)

shippingDatestring · dateOptional

Versanddatum

deliveryQuantityPackagesinteger · int32Optional

Voraussichtliche Paketanzahl (nur Info)

deliveryTextstring · max: 255Optional

Zusätzlicher Liefertext

deliveryApprovedbooleanRequired

Ist der Beleg zur Lieferung freigegeben?

Default: true
dropShippingInvoiceApprovedbooleanRead-onlyOptional

Ist der Streckengeschäfts-Beleg zur Rechnung freigegeben?

orderedOnstring · dateOptional

Bestelldatum

orderedBystring · max: 255Optional

Name der bestellenden Person

taxLiabilityReversedbooleanOptional

Reverse-Charge-Verfahren nach §13b UStG?

Default: false
collectiveInvoicebooleanOptional

Sammelrechnung?

Default: false
shippingCostSumnumberRead-onlyOptional

Summe der Versandkosten (netto/brutto)

stackProcessingTypestring · enumOptional

Stapelverarbeitungsinformationen für Aufträge

Possible values:
stackProcessingPriorityinteger · int32Optional

Priorität in der Stapelverarbeitung

maxDeliveriesinteger · int32Optional

Maximal mögliche Lieferungen

taxPerformanceLocationstring · enumOptional

Ort der steuerlichen Leistungserbringung

Possible values:
performanceCountryCodestringOptional

Länderkennzeichen Leistungsland (ISO Alpha-3)

sourceCountryCodestringOptional

Länderkennzeichen Ursprungsland (ISO Alpha-3)

grossWeightnumberOptional

Gesamtbruttogewicht

userDefinedWeightbooleanOptional

Gesamtgewicht wurde manuell gesetzt

Default: false
cashDiscountableTotalGrossPricenumberRead-onlyOptional

Skontofähiger Bruttogesamtbetrag

buyerReferencestring · max: 255Optional

Leitweg-ID

en16931Profilestring · enumOptional

EN16931-Profil für elektronische Rechnungen

Possible values:
importTypestring · enumRead-onlyOptional

Importmodus des Belegs

Possible values:
paymentPlanbooleanOptional

Zahlungsplan vorhanden?

Default: false
calculationModestring · enumRequired

Berechnungsmodus

Possible values:
processedByWorkflowbooleanRead-onlyOptional

Wird vom Workflow verarbeitet?

referencedOrderNumberstringRead-onlyOptional

Bestellnummer aus Vorbeleg

languageCodestringOptional

Sprache

baseCurrencyCodestringOptional

Basiswährung des Belegs

baseTotalNetPricenumberOptional

Gesamtpreis - Netto Basiswährung

baseTotalLinePriceModifiernumberOptional

Preisanpassungen - Belegpositionssumme Basiswährung

baseTotalDocumentPriceModifiernumberOptional

Preisanpassungen - Beleg Basiswährung

baseTotalGrossPricenumberOptional

Gesamtpreis - Brutto Basiswährung

baseDepositPaymentAmountnumberOptional

Vorkassebetrag Basiswährung

baseCashDiscountableTotalGrossPricenumberOptional

skontierbarer Rechnungsbetrag Basiswährung

forwardEmailToShipperbooleanOptional

E-Mail an Versender übergeben

Default: false
forwardPhoneToShipperbooleanOptional

Telefon an Versender übergeben

Default: false
posReceiptPaymentSumnumberOptional

Quittung: Summe Zahlbetrag

posReceiptBalancenumberOptional

Quittung: Saldo positiver Wert: Betrag der noch zu zahlen ist negativer Wert: überzahlter Betrag / Rückgeld

posReceiptChangeAmountnumberOptional

Rückgeld

posReceiptBalancedbooleanOptional

Ist die Quittung ausbalanciert, also bezahlt und kein Rückgeld true wenn die Quittung ausbalanciert ist

Default: false
posReceiptPayedbooleanOptional

Ist die Quittung bezahlt true wenn die Quittung bezahlt ist

Default: false
dropShippingbooleanRead-onlyOptional

Streckengeschäft

totalGrossVolumeInCubicMetersnumberRead-onlyOptional

total gross Volume in cubic meters

post/erp/fabrication/{fabricationOrderId}/produce-all
POST /erp/fabrication/{fabricationOrderId}/produce-all HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 2

[]
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "number": "text",
  "accountNumber": "text",
  "customerNumber": "text",
  "ourCustomerNumber": "text",
  "supplierNumber": "text",
  "salesAgentNumber": "text",
  "externalIdentifier": "text",
  "externalNumber": "text",
  "published": false,
  "frozen": false,
  "qualifier": "SALE",
  "accountId": "text",
  "billingAccountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "documentDate": "2026-01-01",
  "performanceDate": "2026-01-01",
  "valueDate": "2026-01-01",
  "taxable": true,
  "taxIdentificationNumber": "text",
  "taxIdVerificationState": "NOT_YET_VERIFIED",
  "valitoolValidationState": "NOT_VALIDATED",
  "billingType": "GROSS",
  "documentType": "text",
  "documentTypeId": 1,
  "documentTypeCategory": "CUSTOMER_OFFER",
  "documentState": {
    "label": "text",
    "key": "text",
    "definition": "SELECTABLE_TYPES"
  },
  "cancellationReasonRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  },
  "currencyCode": "text",
  "exchangeRate": 1,
  "exchangeRateOrigin": "AUTOMATIC",
  "responsibleUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "totalBeforeModifier": 1,
  "totalPriceModifier": 1,
  "totalLinePriceModifier": 1,
  "totalDocumentPriceModifier": 1,
  "totalNetPrice": 1,
  "totalVat": 1,
  "totalGrossPrice": 1,
  "roundingAmount": 1,
  "paymentTermRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true,
    "paymentType": "PREPAYMENT"
  },
  "paymentMethodRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "depositPaymentAmount": 1,
  "depositPaymentDate": "2026-01-01",
  "deliveryTermRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "deliveryMethodRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "deliveryDate": "2026-01-01",
  "deliveryDateEnd": "2026-01-01",
  "confirmedDeliveryDate": "2026-01-01",
  "confirmedDeliveryDateEnd": "2026-01-01",
  "shippingDate": "2026-01-01",
  "deliveryQuantityPackages": 1,
  "deliveryText": "text",
  "deliveryApproved": true,
  "dropShippingInvoiceApproved": true,
  "orderedOn": "2026-01-01",
  "orderedByPersonRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "orderedBy": "text",
  "taxLiabilityReversed": false,
  "collectiveInvoice": false,
  "texts": [],
  "lines": [],
  "shippingCosts": [],
  "posPayments": [],
  "shippingCostSum": 1,
  "priceModifiers": [],
  "taxes": [],
  "defaultAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "billingAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "deliveryAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "returnDeliveryAddress": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salutation": "text",
    "title": "text",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "globalLocationNumber": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "additionalAddressLine1": "text",
    "additionalAddressLine2": "text",
    "city": "text",
    "regionRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "postcode": "text",
    "postOfficeBox": "text",
    "countryCode": "text",
    "phoneContact": "text",
    "mailContact": "text",
    "languageCode": "text",
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "stackProcessingType": "NO_PICKING",
  "stackProcessingPriority": 1,
  "maxDeliveries": 1,
  "taxPerformanceLocation": "DOMESTIC",
  "performanceCountryCode": "text",
  "sourceCountryCode": "text",
  "afterPickingTargetDocumentTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "grossWeight": 1,
  "grossWeightUnit": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "userDefinedWeight": false,
  "tags": [],
  "reportGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "defaultStorageRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "locationRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "cashDiscountableTotalGrossPrice": 1,
  "contractDetail": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "startDate": "2026-01-01",
    "endDate": "2026-01-01",
    "runtimeFromDate": "2026-01-01",
    "runtimeToDate": "2026-01-01",
    "lastCustomerCancellationDate": "2026-01-01",
    "lastProviderCancellationDate": "2026-01-01",
    "dueDateCalculation": "text",
    "dueDate": "2026-01-01",
    "nextDueDate": "2026-01-01",
    "calculateDirectly": true,
    "active": true,
    "publishInPortal": false
  },
  "posDetail": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "posRegisterRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "cashDrawerRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "cashJournalRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "fiscalizationBackendRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "tssSignature": {
      "status": "FINISHED",
      "responseData": "text",
      "externalReference": "text",
      "revision": 1
    },
    "externalReference": "text",
    "timeStart": 1,
    "timeEnd": 1,
    "clientSerialNumber": "text",
    "tssSerialNumber": "text",
    "transactionNumber": 1,
    "revision": 1,
    "signatureCounter": 1,
    "signature": "text"
  },
  "fabricationDetail": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "startDate": "2026-01-01",
    "minimumDegreeOfFulfillment": 1,
    "note": "text",
    "componentsStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "workbenchStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "workbenchStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "qualityAssuranceStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "qualityAssuranceStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "defectiveStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "defectiveStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "targetStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "targetStorageBinRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    }
  },
  "buyerReference": "text",
  "en16931Profile": "ZUGFERD",
  "importType": "NOT_IMPORTED",
  "paymentPlan": false,
  "calculationMode": "HORIZONTAL",
  "processedByWorkflow": true,
  "referencedOrderNumber": "text",
  "additionalInfo": {
    "calculationModeOrigin": "FROM_BILLING_ADDRESS",
    "roundingMode": "NONE",
    "en16931Origin": "FROM_BILLING_ADDRESS",
    "buyerReferenceOrigin": "FROM_BILLING_ADDRESS",
    "previousDecisions": "text",
    "taxSituationOrigin": "UNDEFINED",
    "languageCodeOrigin": "FROM_DELIVERY_ADDRESS",
    "contextParameters": [],
    "incomingGoodsTarget": {
      "storageBinId": 1,
      "pickTrolleyId": 1
    },
    "translations": [],
    "incomingGoodsTargetsPerLine": []
  },
  "languageCode": "text",
  "baseCurrencyCode": "text",
  "baseTotalNetPrice": 1,
  "baseTotalLinePriceModifier": 1,
  "baseTotalDocumentPriceModifier": 1,
  "baseTotalGrossPrice": 1,
  "baseDepositPaymentAmount": 1,
  "baseCashDiscountableTotalGrossPrice": 1,
  "forwardEmailToShipper": false,
  "forwardPhoneToShipper": false,
  "posReceiptPaymentSum": 1,
  "posReceiptBalance": 1,
  "posReceiptChangeAmount": 1,
  "posReceiptBalanced": false,
  "posReceiptPayed": false,
  "dropShipping": true,
  "totalGrossVolumeInCubicMeters": 1
}
post
Path parameters
fabricationOrderIdinteger · int64Required

ID des Produktionsbelegs

lineIdinteger · int64Required

ID der als nicht mehr fehlerhaft zu markierenden Position

Body

Details zur Markierung einer Position als (nicht mehr) defekt

quantitynumberOptional

(Nicht mehr) defekte Menge

Default: 1
createLineForReproductionbooleanOptional

Soll eine neue Position zur Nachproduktion der defekten Artikel erstellt werden?

Default: false
Responses
200

OK

*/*

document to update

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstring · max: 255Required

Belegnummer

accountNumberstring · max: 255Read-onlyOptional

Kontonummer der zugehörigen Organisationseinheit

customerNumberstring · max: 255Read-onlyOptional

Kundennummer

ourCustomerNumberstring · max: 255Read-onlyOptional

Kundennummer beim Lieferanten

supplierNumberstring · max: 255Read-onlyOptional

Lieferantennummer

salesAgentNumberstring · max: 255Read-onlyOptional

Vertreternummer

externalIdentifierstring · max: 255Optional

Externe Kennung

externalNumberstring · max: 255Optional

Externe Belegnummer

publishedbooleanRead-onlyOptional

Ist der Beleg veröffentlicht (gedruckt, per Mail versendet)?

Default: false
frozenbooleanRead-onlyOptional

Ist der Beleg festgeschrieben?

Default: false
qualifierstring · enumRead-onlyOptional

Art des Belegs

Possible values:
accountIdstringRequired

ID der Organisationseinheit

documentDatestring · dateRequired

Belegdatum

performanceDatestring · dateOptional

Leistungsdatum

valueDatestring · dateOptional

Valutadatum

taxablebooleanOptional

Steuerpflichtig oder steuerfrei

Default: true
taxIdentificationNumberstring · max: 255Optional

Umsatzsteuer-Identifikationsnummer

taxIdVerificationStatestring · enumRead-onlyOptional

Überprüfungsstatus der Steueridentifikationsnummer

Possible values:
valitoolValidationStatestring · enumRead-onlyOptional

Validierungsstatus bei elektronischen Rechnungen

Possible values:
billingTypestring · enumRequired

Abrechnungstyp

Possible values:
documentTypestringRead-onlyOptional

Belegtyp (intern)

documentTypeIdinteger · int64Read-onlyOptional

ID des Belegtyps

documentTypeCategorystring · enumRead-onlyOptional

Dokumenttypen

Possible values:
currencyCodestringRequired

Währung (ISO-Code, Alpha-3)

exchangeRatenumberOptional

Wechselkurs

exchangeRateOriginstring · enumOptional

Ursprung für Währungskursermittlung

Default: AUTOMATICPossible values:
totalBeforeModifiernumberRead-onlyOptional

Gesamtpreis vor Rabatt [BRUTTO, NETTO]

totalPriceModifiernumberRead-onlyOptional

Rabatt gesamt [BRUTTO, NETTO]

totalLinePriceModifiernumberRead-onlyOptional

Positionsrabatt gesamt [BRUTTO, NETTO]

totalDocumentPriceModifiernumberRead-onlyOptional

Belegrabatt gesamt [BRUTTO, NETTO]

totalNetPricenumberRead-onlyOptional

Gesamtpreis netto

totalVatnumberRead-onlyOptional

Gesamte Mehrwertsteuer

totalGrossPricenumberRead-onlyOptional

Gesamtpreis brutto

roundingAmountnumberRead-onlyOptional

Endbetragsrundung: Differenz zwischen gerundetem Brutto und (Netto + MwSt)

depositPaymentAmountnumberOptional

Vereinbarter Anzahlungsbetrag

depositPaymentDatestring · dateRead-onlyOptional

Vereinbartes Anzahlungsdatum

deliveryDatestring · dateOptional

Voraussichtliches Lieferdatum

deliveryDateEndstring · dateOptional

Voraussichtliches Lieferende (nur wenn Lieferdatum gesetzt)

confirmedDeliveryDatestring · dateOptional

Bestätigtes Lieferdatum

confirmedDeliveryDateEndstring · dateOptional

Bestätigtes Lieferende (nur wenn bestätigtes Lieferdatum gesetzt)

shippingDatestring · dateOptional

Versanddatum

deliveryQuantityPackagesinteger · int32Optional

Voraussichtliche Paketanzahl (nur Info)

deliveryTextstring · max: 255Optional

Zusätzlicher Liefertext

deliveryApprovedbooleanRequired

Ist der Beleg zur Lieferung freigegeben?

Default: true
dropShippingInvoiceApprovedbooleanRead-onlyOptional

Ist der Streckengeschäfts-Beleg zur Rechnung freigegeben?

orderedOnstring · dateOptional

Bestelldatum

orderedBystring · max: 255Optional

Name der bestellenden Person

taxLiabilityReversedbooleanOptional

Reverse-Charge-Verfahren nach §13b UStG?

Default: false
collectiveInvoicebooleanOptional

Sammelrechnung?

Default: false
shippingCostSumnumberRead-onlyOptional

Summe der Versandkosten (netto/brutto)

stackProcessingTypestring · enumOptional

Stapelverarbeitungsinformationen für Aufträge

Possible values:
stackProcessingPriorityinteger · int32Optional

Priorität in der Stapelverarbeitung

maxDeliveriesinteger · int32Optional

Maximal mögliche Lieferungen

taxPerformanceLocationstring · enumOptional

Ort der steuerlichen Leistungserbringung

Possible values:
performanceCountryCodestringOptional

Länderkennzeichen Leistungsland (ISO Alpha-3)

sourceCountryCodestringOptional

Länderkennzeichen Ursprungsland (ISO Alpha-3)

grossWeightnumberOptional

Gesamtbruttogewicht

userDefinedWeightbooleanOptional

Gesamtgewicht wurde manuell gesetzt

Default: false
cashDiscountableTotalGrossPricenumberRead-onlyOptional

Skontofähiger Bruttogesamtbetrag

buyerReferencestring · max: 255Optional

Leitweg-ID

en16931Profilestring · enumOptional

EN16931-Profil für elektronische Rechnungen

Possible values:
importTypestring · enumRead-onlyOptional

Importmodus des Belegs

Possible values:
paymentPlanbooleanOptional

Zahlungsplan vorhanden?

Default: false
calculationModestring · enumRequired

Berechnungsmodus

Possible values:
processedByWorkflowbooleanRead-onlyOptional

Wird vom Workflow verarbeitet?

referencedOrderNumberstringRead-onlyOptional

Bestellnummer aus Vorbeleg

languageCodestringOptional

Sprache

baseCurrencyCodestringOptional

Basiswährung des Belegs

baseTotalNetPricenumberOptional

Gesamtpreis - Netto Basiswährung

baseTotalLinePriceModifiernumberOptional

Preisanpassungen - Belegpositionssumme Basiswährung

baseTotalDocumentPriceModifiernumberOptional

Preisanpassungen - Beleg Basiswährung

baseTotalGrossPricenumberOptional

Gesamtpreis - Brutto Basiswährung

baseDepositPaymentAmountnumberOptional

Vorkassebetrag Basiswährung

baseCashDiscountableTotalGrossPricenumberOptional

skontierbarer Rechnungsbetrag Basiswährung

forwardEmailToShipperbooleanOptional

E-Mail an Versender übergeben

Default: false
forwardPhoneToShipperbooleanOptional

Telefon an Versender übergeben

Default: false
posReceiptPaymentSumnumberOptional

Quittung: Summe Zahlbetrag

posReceiptBalancenumberOptional

Quittung: Saldo positiver Wert: Betrag der noch zu zahlen ist negativer Wert: überzahlter Betrag / Rückgeld

posReceiptChangeAmountnumberOptional

Rückgeld

[...]
